import {Component, Input, OnInit} from '@angular/core';
import {JobSpec} from "../../../model/job";
import {ConfigurationService} from "../../../env/configuration.service";
import {ProductsService} from "../../../services/products.service";
import {faBullseye, faCheckSquare, faEdit, faFileAlt} from "@fortawesome/free-solid-svg-icons";

@Component({
  selector: 'app-jobspec-detail',
  templateUrl: './jobspec-detail.component.html',
  styleUrls: ['./jobspec-detail.component.scss']
})
export class JobspecDetailComponent implements OnInit {

  @Input() jobspec: JobSpec;

  public faBullseye = faBullseye;
  public faFileAlt = faFileAlt;
  public faCheckSquare = faCheckSquare;
  public faEdit = faEdit;

  constructor(private configService: ConfigurationService, private productsService: ProductsService) {
  }

  ngOnInit() {
  }

  getConfigUrl(): string {
    return this.configService.config.url;
  }

}
